Page MenuHomePhabricator

Need a new bot for SR archiving
Closed, ResolvedPublic

Description

SteinsplitterBot stopped working around June 2018, and it's MIA for more than 3 months. Old bot's source code is at github. We need a new bot to replace SteinsplitterBot. (And possibly implement the wishlist - the existing code must be modified to NOT archive on "Steward requests/Permissions/Approved temporary".)

I've listed a wishlist and modus operandi changes on Meta.

Event Timeline

revi created this task.Sep 11 2018, 4:01 AM
Restricted Application added a project: User-revi. · View Herald TranscriptSep 11 2018, 4:01 AM
revi moved this task from Incoming to Radar on the User-revi board.Sep 11 2018, 4:01 AM

I've forked and amended a bit the code. I don't know if it works though. If you want to test it, be my guest. It'd be good to do so in order to know which errors the bot triggers and that prevents it from running (cc @revi @Steinsplitter). Thanks.

revi added a comment.Sep 15 2018, 6:18 AM

I don't know about peachy so I'll leave the testing to Steinsplitter. Though I'd like to have another bot waiting for archival if our primary one fails.

@revi Mind pinging @Steinsplitter also on IRC and point him to this task so he can try and test? Thanks.

Steinsplitter added a comment.EditedSep 16 2018, 8:03 AM

@revi Mind pinging @Steinsplitter also on IRC and point him to this task so he can try and test? Thanks.

I looked at your changes, and i see just see "Autofixing" stuff which won't fix the duplication in archives. I suspect some kind of regex mismatch, but was - even after multiple hours - unable to find it. The script (i didn't tested your version because it won't fix the issue) is working fine, expect the duplication issues (i stopped it because of that a while ago and had no time to take a very deep look into).

Well, code-style fixing and deprecated functions removal is important as well I'd say. If the only issue is with duplication, I'd say we can have a look at it. However I cannot test this on my own because I suspect that, for the bot to work we need some other config files that ain't in the public repo, right?

Well, code-style fixing and deprecated functions removal is important as well I'd say. If the only issue is with duplication, I'd say we can have a look at it. However I cannot test this on my own because I suspect that, for the bot to work we need some other config files that ain't in the public repo, right?

You just need the Peachy framework, and invoke it.

revi added a subscriber: APerson.Oct 31 2018, 6:00 PM
1997kB added a subscriber: 1997kB.Oct 31 2018, 6:10 PM
alanajjar added a subscriber: Jar.Nov 6 2018, 7:41 PM
revi closed this task as Resolved.Nov 16 2018, 10:32 AM

New bot is approved and working fine. Calling it resolved but I hope someone can make some replacement bot so that we have a redundancy (and not having to wait for around 5 months to get a bot replaced)